> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voyantcloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Communication Template

> Delete a communication template by ID.

## Method

`DELETE` `/v1/comms/templates/:id`

## Path Parameters

<ParamField path="id" type="uuid" required>Template ID.</ParamField>

## Headers

<ParamField header="Authorization" type="string">Bearer token (requires `comms:delete`).</ParamField>

## Request Example

<RequestExample>
  ```bash cURL theme={null}
  curl -X DELETE "https://api.voyantcloud.com/v1/comms/templates/tmpl_01J0CBFPXW7SP2N8A9Q7T2048Q" \
    -H "Authorization: Bearer $VOYANT_API_KEY"
  ```

  ```javascript Node.js theme={null}
  await fetch("https://api.voyantcloud.com/v1/comms/templates/tmpl_01J0CBFPXW7SP2N8A9Q7T2048Q", {
    method: "DELETE",
    headers: { Authorization: `Bearer ${process.env.VOYANT_API_KEY}` },
  })
  ```

  ```python Python theme={null}
  import os, requests

  requests.delete(
    "https://api.voyantcloud.com/v1/comms/templates/tmpl_01J0CBFPXW7SP2N8A9Q7T2048Q",
    headers={"Authorization": f"Bearer {os.environ['VOYANT_API_KEY']}"},
  )
  ```
</RequestExample>

## Response Example

<ResponseExample>
  ```http 204 No Content theme={null}
  ```

  ```json 404 Not Found theme={null}
  { "error": "Template not found" }
  ```
</ResponseExample>

<Tip>
  Deletion triggers the `notification.template.deleted` webhook including the template ID and deletion timestamp.
</Tip>
